de.vc.jfo.flow

## Class Footnote

- java.lang.Object
- - de.vc.xml.AbstractNode
  - - de.vc.xml.AbstractNodeWithAttributes
    - - de.vc.jfo.FormattingObject
      - - de.vc.jfo.flow.FlowObject
        - - de.vc.jfo.flow.Footnote

- All Implemented Interfaces:
    Node, NodeElement, java.io.Serializable, java.lang.Cloneable

      public class Footnote
      extends FlowObject

  The fo:footnote is typically used to produce footnote-citations within the region-body of a page and the corresponding footnote in a separate area nearer the after-edge of the page.

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class de.vc.jfo.FormattingObject

      `EMPTY_ARRAY`

    - ### Fields inherited from class de.vc.xml.AbstractNodeWithAttributes

      `MAP_TYPE_FLYWEIGHT, MAP_TYPE_HASH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Footnote()` Creates a new (undefined) footnote.
    `Footnote(Inline inline)` Creates a new footnote with a link-Inline.
    `Footnote(Inline inline, FootnoteBody body)` Creates a new footnote with a link-Inline and a body.
    `Footnote(java.lang.String linkText, java.lang.String bodyText)` Creates a new footnote with a superscripted link-text and a body.
    `Footnote(java.lang.String linkText, Values.VerticalAlignment vAlign, java.lang.String bodyText)` Creates a new footnote with a link-text and a body.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `addUnsafe(java.lang.Object child)` Adds a NodeElement to this FormattingObject.
    `FootnoteBody` | `getBody()` Gets the body, that contains the note.
    `java.util.List` | `getElements()` Gets childreen of this node.
    `Inline` | `getInline()` Deprecated. Use getLink();
    `Inline` | `getLink()` Gets the link, that occours in flow-area.
    `void` | `setBody(FootnoteBody body)` Sets the body of this footnote.
    `void` | `setInline(Inline inline)` Deprecated. Use setLink();
    `void` | `setLink(Inline link)` Sets the link of footnote.

    - ### Methods inherited from class de.vc.jfo.FormattingObject

      `addElement, addElement, addUnsafe, clone, cloned, clonedList, createUniqueID, doGetAttribute, doSetAttribute, elementCount, get, getAbsolutePosition, getAccessibility, getAttributeMap, getBackground, getBorder, getDefinedAttributes, getDocument, getFont, getID, getLanguage, getLogger, getMargin, getMeasureValue, getObjectValue, getObjectValue, getObjectValue, getObjectValue, getOrphans, getPadding, getParentFO, getRelativePosition, getWidows, hasBorder, hasID, hasPadding, isEmpty, isHyphenation, removeElement, removeElement, replaceElement, setAbsolutePosition, setAccessibility, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setBackground, setBorder, setElement, setFont, setHyphenation, setID, setLanguage, setLanguage, setMargin, setOrphans, setPadding, setRelativePosition, setWidows`

    - ### Methods inherited from class de.vc.xml.AbstractNodeWithAttributes

      `getDefaultMapType, setDefaultMapType`

    - ### Methods inherited from class de.vc.xml.AbstractNode

      `addAttributeChangeListener, addElements, addElements, clearEqualAttributes, clearInheratedAttribute, clearInheratedAttributes, clearValue, contains, contains, copyAttributes, createID, findFirstNodeWithText, findNode, findNodesWithText, fire, fireSaxEvents, firstElement, getAttrAsBoolean, getAttrAsInteger, getAttrAsString, getAttrAsString, getAttribute, getAttribute, getAttributeMap, getContentText, getContentText, getDefinedAttributes, getElements, getElements, getElements, getFirstElement, getIndex, getLocalName, getNamespacePrefix, getNamespacePrefixes, getNamespaceURI, getParent, getParent, getParent, getParentOrThis, getQName, getRoot, hasEqualAttrs, indexOf, lastElement, liftInheritedAttribute, removeAttributeChangeListener, setAttribute, setAttributes, setAttrIfNotNull, setEnableAttributeChangeEvent, setNamespace, setParent, setQName, setUndefinedAttributes, writeTo, writeTo, writeTo, writeTo`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Footnote

          public Footnote()

      Creates a new (undefined) footnote.

    - #### Footnote

          public Footnote(Inline inline)

      Creates a new footnote with a link-Inline.
      Parameters:
        `inline` - Link-Inline.

    - #### Footnote

          public Footnote(Inline inline,
                  FootnoteBody body)

      Creates a new footnote with a link-Inline and a body.
      Parameters:
        `inline` - Link-Inline.
        `body` - The body of footnote (this is the footnote).

    - #### Footnote

          public Footnote(java.lang.String linkText,
                  java.lang.String bodyText)

      Creates a new footnote with a superscripted link-text and a body.
      Parameters:
        `linkText` - Some link-text. It will appear superscripted.
        `bodyText` - Some body-text.

    - #### Footnote

          public Footnote(java.lang.String linkText,
                  Values.VerticalAlignment vAlign,
                  java.lang.String bodyText)

      Creates a new footnote with a link-text and a body.
      Parameters:
        `linkText` - Some link-text.
        `vAlign` - Vertival alignment of link.
        `bodyText` - Some body-text.

  - ### Method Detail

    - #### getElements

          public java.util.List getElements()

      Description copied from class: `AbstractNode`
      Gets childreen of this node. A child is typical an instance of `NodeElement` or `String`.
      Specified by:
        `getElements` in interface `Node`
      Specified by:
        `getElements` in class `AbstractNode`
      Returns:
        Childreen.

    - #### getInline

          public Inline getInline()

      Deprecated. Use getLink();

    - #### setInline

          public void setInline(Inline inline)

      Deprecated. Use setLink();

    - #### getLink

          public Inline getLink()

      Gets the link, that occours in flow-area. This is something link (1) (a)...
      Returns:
        An inline.

    - #### getBody

          public FootnoteBody getBody()

      Gets the body, that contains the note.
      Returns:
        Body.

    - #### setBody

          public void setBody(FootnoteBody body)

      Sets the body of this footnote.
      Parameters:
        `body` -

    - #### setLink

          public void setLink(Inline link)

      Sets the link of footnote.
      Parameters:
        `link` - The link.

    - #### addUnsafe

          public boolean addUnsafe(java.lang.Object child)

      Description copied from class: `FormattingObject`
      Adds a NodeElement to this FormattingObject. You must ensure, that this FormattingObject can contain given element.
      Overrides:
        `addUnsafe` in class `FormattingObject`
      Parameters:
        `child` - Element.
      Returns:
        `false` if this FO is unable to add object.

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.